use bevy::{
    core::{Time, Timer},
    prelude::*,
};
use bevy_discord_presence::{ActivityState, RPCConfig, RPCPlugin};

pub struct DiscordPlugin;

impl Plugin for DiscordPlugin {
    fn build(&self, app: &mut App) {
        app.insert_resource(UpdateTimer(Timer::from_seconds(2.0, true)))
            .add_plugin(RPCPlugin(RPCConfig {
                app_id: 970599240957042718,
                show_time: true,
            }))
            .add_system(update_presence);
    }
}
struct UpdateTimer(Timer);

fn update_presence(
    time: Res<Time>,
    mut timer: ResMut<UpdateTimer>,
    mut state: ResMut<ActivityState>,
) {
    // update our timer with the time elapsed since the last update
    // if that caused the timer to finish, we say hello to everyone
    if timer.0.tick(time.delta()).just_finished() {
        state.instance = Some(true);
        state.details = Some("Hello World".to_string());
        state.state = Some("This is state".to_string());
    }
}
