use bevy::prelude::*;
use bevy_egui::EguiContext;
pub struct Settings {
    pub target_fps: u16,
    pub fullscreen: bool,
}

impl Default for Settings {
    fn default() -> Self {
        Self {
            target_fps: 60,
            fullscreen: false,
        }
    }
}
pub fn client_settings(mut egui_context: ResMut<EguiContext>, mut settings: ResMut<Settings>) {
    egui::Window::new("Settings")
        .resizable(false)
        .show(egui_context.ctx_mut(), |ui| {
            ui.horizontal(|ui| {
                ui.add(egui::Slider::new(&mut settings.target_fps, 5..=120).step_by(5.0));
                ui.label(": FPS");
            });

            ui.checkbox(&mut settings.fullscreen, "Fullscreen");
        });
}
