pub const FPS: DiagnosticId = DiagnosticId::from_u128(288146834822086093791974408528866909483);

use bevy::{
    diagnostic::{DiagnosticId, Diagnostics},
    prelude::*,
};
use bevy_egui::EguiContext;

use super::UIInfo;

pub fn diag_ui(
    mut egui_context: ResMut<EguiContext>,
    ui_info: Res<UIInfo>,

    diagnostics: Res<Diagnostics>,
) {
    let mut fps_count = 0;

    match diagnostics.get_measurement(FPS) {
        Some(fps) => {
            fps_count = fps.value as u32;
        }
        None => {}
    }

    egui::Window::new("Diagnosis").show(egui_context.ctx_mut(), |ui| {
        ui.label(format!("FPS: {fps_count}"));
        ui.label(format!("Cursor captured: {}", ui_info.mouse_grabbed))
    });
}
