use self::armormod::ArmorMod;

pub mod armormod;

pub type ID = u64;

pub enum WearableSlot {
    Head = 0,
    Torso = 1,
    Thigh = 2,
    Shoulder = 3,
    Hand = 4,
    Boot = 5,
}

pub struct Wearable {
    pub id: ID,
    pub name: String,
    pub slot: WearableSlot,
    pub description: String,
    pub mod_count: u8,
    pub mod_slots: Vec<ArmorMod>,
}

pub struct Armor {
    pub helmet: ID,
    pub torso: ID,

    pub left_shoulder: ID,
    pub right_shoulder: ID,

    pub left_hand: ID,
    pub right_hand: ID,

    pub left_thigh: ID,
    pub right_thigh: ID,

    pub left_boot: ID,
    pub right_boot: ID,
}
