// use crate::protocol::Protocol::User;
use bevy_ecs::prelude::Component;
use naia_shared::{Property, Replicate};
use nanoid::nanoid;
pub type UserID = String;

#[derive(Component, Replicate)]
#[protocol_path = "crate::protocol::Protocol"]
pub struct User {
    pub id: Property<UserID>,
    pub name: Property<String>,
}

pub fn generate_user_id() -> UserID {
    let id = nanoid!(10);

    UserID::from(id.to_string())
}
